Broadband help

For queries about your TalkTalk broadband service.

cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Hub requires update.

Dug5y01
Popular Poster
Message 2 of 2

My Hub (Fast5364) has lost its Internet connection on a few occasions recently.  On checking the Hub Network connection performance via the Talktalk website, there is an amber alert advising me that my Hub’s software needs updating.  The Hub currently has software update SG4K100130 installed.  I’m aware that I can’t manually update the Hub therefore, if an update is available, can it be updated at your end?

0 Likes
1 REPLY 1

Debbie-TalkTalk
Support Team
Message 1 of 2

Hi Dug5y01

 

Our Products Team will be rolling out firmware to all Sagemcom WIFI hubs. This will be updated soon to 136 FW version.

 

Thanks

0 Likes